Debian Bug report logs - #709363
ITP: libmodule-build-cleaninstall-perl -- module to remove the old module before installing the new one

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Oleg Gashev <oleg@gashev.net>

Date: Wed, 22 May 2013 19:00:11 UTC

Owned by: Oleg Gashev <oleg@gashev.net>

Severity: wishlist

Fixed in version libmodule-build-cleaninstall-perl/0.5-1

Done: Oleg Gashev <oleg@gashev.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, oleg@gashev.net, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#709363; Package wnpp. (Wed, 22 May 2013 19:00:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oleg Gashev <oleg@gashev.net>:
New Bug report received and forwarded. Copy sent to oleg@gashev.net, debian-devel@lists.debian.org, wnpp@debian.org. (Wed, 22 May 2013 19:00:16 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Oleg Gashev <oleg@gashev.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libmodule-build-cleaninstall-perl -- module to remove the old module before installing the new one
Date: Wed, 22 May 2013 18:58:40 +0000
Package: wnpp
Severity: wishlist
Owner: Oleg Gashev <oleg@gashev.net>

* Package name    : libmodule-build-cleaninstall-perl
  Version         : 0.05
  Upstream Author : Joel A. Berger <joel.a.berger@gmail.com>
* URL             : https://metacpan.org/release/Module-Build-CleanInstall/
* License         : Artistic or GPL-1+
  Programming Lang: Perl
  Description     : module to remove the old module before installing the new one

 Module::Build::CleanInstall is a subclass of Module::Build with one
 additional feature, before upgrading the module from and old version to a new
 one, it first removes the files installed by the previous version. This is
 useful especially when the new version will not contain some files that the
 old one did, and it is necessary that those files do not remain in place.
 .
 Since it is a subclass of Module::Build it is used exactly like that module.
 Module::Build::CleanInstall does provide an additional action uninstall, but
 it need not be called separately; the action install will call it when
 invoked.
 .
 The uninstalling is done by removing the files in the installed module's
 packlist|ExtUtils::Packlist which is created when the module is first
 installed.



Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 26 May 2013 19:30:28 GMT) Full text and rfc822 format available.

Reply sent to Oleg Gashev <oleg@gashev.net>:
You have taken responsibility. (Thu, 04 Jul 2013 19:03:21 GMT) Full text and rfc822 format available.

Notification sent to Oleg Gashev <oleg@gashev.net>:
Bug acknowledged by developer. (Thu, 04 Jul 2013 19:03:21 GMT) Full text and rfc822 format available.

Message #12 received at 709363-close@bugs.debian.org (full text, mbox):

From: Oleg Gashev <oleg@gashev.net>
To: 709363-close@bugs.debian.org
Subject: Bug#709363: fixed in libmodule-build-cleaninstall-perl 0.5-1
Date: Thu, 04 Jul 2013 19:00:05 +0000
Source: libmodule-build-cleaninstall-perl
Source-Version: 0.5-1

We believe that the bug you reported is fixed in the latest version of
libmodule-build-cleaninstall-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 709363@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Oleg Gashev <oleg@gashev.net> (supplier of updated libmodule-build-cleaninstall-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 19 May 2013 15:38:53 +0000
Source: libmodule-build-cleaninstall-perl
Binary: libmodule-build-cleaninstall-perl
Architecture: source all
Version: 0.5-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Oleg Gashev <oleg@gashev.net>
Description: 
 libmodule-build-cleaninstall-perl - module for removing the old module before installing the new one
Closes: 709363
Changes: 
 libmodule-build-cleaninstall-perl (0.5-1) unstable; urgency=low
 .
   * Initial Release. (Closes: #709363)
Checksums-Sha1: 
 3f4c71b48b9b38cdc9f7e883e5cdec97bc2121f4 2295 libmodule-build-cleaninstall-perl_0.5-1.dsc
 96c6fff6e6903c8cc7efe8b8458ad46875f0a4b7 3479 libmodule-build-cleaninstall-perl_0.5.orig.tar.gz
 e6a3e42708de6414b1ac262c02a731c655a12828 1659 libmodule-build-cleaninstall-perl_0.5-1.debian.tar.gz
 79569ebc10f6a8db08303e7d666e4b74a4858d76 6150 libmodule-build-cleaninstall-perl_0.5-1_all.deb
Checksums-Sha256: 
 c7e4a5bb39310ed4f2625ef8d61f5980ac837c550142f2b743dce98de2e136f0 2295 libmodule-build-cleaninstall-perl_0.5-1.dsc
 8e18b9aa7078f501c32d1192aa286f38a9563a15069988acd52576286eb54e5d 3479 libmodule-build-cleaninstall-perl_0.5.orig.tar.gz
 cd45bc2ab8b811724e153b0a9b28d88d0b264fe5965a3b572aeef085acebe8c7 1659 libmodule-build-cleaninstall-perl_0.5-1.debian.tar.gz
 c04354710dbc162c079e833ed9b3f018a46096fdd76de53e870d53aafcdb9e92 6150 libmodule-build-cleaninstall-perl_0.5-1_all.deb
Files: 
 64c366a1d6a067a4207944dd62b703c1 2295 perl optional libmodule-build-cleaninstall-perl_0.5-1.dsc
 9f08fffb2ac9dba88a461000b258b1db 3479 perl optional libmodule-build-cleaninstall-perl_0.5.orig.tar.gz
 db91adb6e860220802332e6d7e344699 1659 perl optional libmodule-build-cleaninstall-perl_0.5-1.debian.tar.gz
 e7595804d2d7fa48a5960112ec2b31dc 6150 perl optional libmodule-build-cleaninstall-perl_0.5-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRomFbAAoJELs6aAGGSaoGcnsQAMQaJVDhMal+HXp38BGLHVg6
/DT6SsxouQvtWQ0OXOkW+5DG4/fuFvs5j0sQojlExRVTHYeGsVsaTtdmZ/nfBVpY
zVf5Gz4wcS7IH7X2fOQxOQ69AJx5/s7ilmMLDLyC6I6mIKGNOldSH7vWKD+bYXnO
+PY8d0ExNJCEd8ZEXwGQOxcPNEcAJTMFkx5wKqXYVTDfkgB2bC500XRSa7MFZll1
6eH8PwzbQ72v6ut11fBqiU5V5H2d4f8fbt7+L/qdKlf5zqqsRhi+w+/+v9XuCMRX
ShOtiVBHXPDAxfCliZcbwmvC2pxtWeU4ZJFvVlHNlR7kvwL5yBlUBwu6mqtowPpS
M9UgstuYOAZL5anSHceE1slWvm+6s3p82XMO8iY2N8+V5MKTijEwfetw0xT+hYGT
5dDtCbC6I7w8WsXJlvcvWXGkWvZge5fu8rUe1JeQtWaGW/RO0z4nR+NoC15UWwE6
Uf5HlljBFEJo2Y3F2fgZxWekfv/3k+PmaYlObORBX8zYf1iTUDwn8ajMXaRIqWUi
iyp5tS3jgeSs+tzPRmwNVrmimdMu48NpsICf+psbUGZ8BXYesOOTKDHbNE7rY5OB
Qlgg28B5G/uz6MN2tJmarj/t6tiPNbFjhgAeN2oeS+a6NtLQhqzf+dUIgNcQUq00
uupNrIkDrU0iWJQpZR2r
=cnUu
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 02 Aug 2013 07:33:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:29:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.